### Constructor

# FwupdPlugin Device new

since: 1.8.2

#### Declaration [src]

    FuDevice*
    fu_device_new (
      FuContext* ctx
    )

#### Description [src]

Creates a new `Fudevice`.

Available since: 1.8.2

#### Parameters

`ctx`

  Type: `FuContext`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `FuDevice`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.